Bug 552537 - authconfig/sssd creates non-working configuration file
Summary: authconfig/sssd creates non-working configuration file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-05 12:50 UTC by Marko Myllynen
Modified: 2010-01-21 00:14 UTC (History)
4 users (show)

Fixed In Version: 1.0.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-21 00:09:39 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2010-01-05 12:50:37 UTC
Description of problem:
With authconfig-6.0.0-2 and sssd-1.0.0-2 on Fedora 12 one can choose "local" for access_provider which causes sssd trying to load non-existing libsss_local.so.

Based on IRC discussions this is probably an issue on SSSD side, not on authconfig side.

Comment 1 Stephen Gallagher 2010-01-05 12:53:12 UTC
Taking this one. The SSSDConfig API incorrectly lists "local" as a valid provider for the "access_provider" entry. This is an easy fix.

Comment 2 Stephen Gallagher 2010-01-12 13:20:56 UTC
http://git.fedorahosted.org/git/sssd.git?p=sssd.git;a=commit;h=b23272a16834ba5948e1f9b8e1206174a936e260

Fix committed upstream. I will update this ticket when it is in an available Fedora package.

Comment 3 Fedora Update System 2010-01-14 17:31:50 UTC
sssd-1.0.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sssd-1.0.2-1.fc12

Comment 4 Fedora Update System 2010-01-14 17:45:31 UTC
sssd-1.0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sssd-1.0.2-1.fc11

Comment 5 Fedora Update System 2010-01-15 22:14:05 UTC
sssd-1.0.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0625

Comment 6 Fedora Update System 2010-01-21 00:09:29 UTC
sssd-1.0.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-01-21 00:14:29 UTC
sssd-1.0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.